import { E as Te, kh as Ie, V as d, k0 as y, ki as Me, b9 as H, gq as B, hI as _e, bg as Ne, Z as De, i9 as ne, ii as je, kj as Fe, kk as Ue, jB as Be, kl as re, km as $e, kn as oe, ko as Ve, kp as Ye, kq as qe, P as E, kr as Ge, ks as ze, kt as We, ku as Xe, bz as Ke, hJ as ie, kv as ae, d6 as Je, bh as Qe, ce as Ze, a0 as se, kw as et, kx as tt, ky as ye, kz as ve, kA as nt } from "./684d2f28.js";
import $, { lazy as b, useContext as ce, useState as k, useCallback as N, useMemo as rt, useLayoutEffect as ot, Suspense as it } from "react";
import { i as at } from "./9a82a5c6.js";
import "react-dom";
function st(t) {
  return t && typeof t == "object" && "default" in t ? t.default : t;
}
var Ee = $, ct = st(Ee);
function le(t, e, n) {
  return e in t ? Object.defineProperty(t, e, {
    value: n,
    enumerable: !0,
    configurable: !0,
    writable: !0
  }) : t[e] = n, t;
}
function lt(t, e) {
  t.prototype = Object.create(e.prototype), t.prototype.constructor = t, t.__proto__ = e;
}
var ut = !!(typeof window < "u" && window.document && window.document.createElement);
function dt(t, e, n) {
  if (typeof t != "function")
    throw new Error("Expected reducePropsToState to be a function.");
  if (typeof e != "function")
    throw new Error("Expected handleStateChangeOnClient to be a function.");
  if (typeof n < "u" && typeof n != "function")
    throw new Error("Expected mapStateOnServer to either be undefined or a function.");
  function r(o) {
    return o.displayName || o.name || "Component";
  }
  return function(a) {
    if (typeof a != "function")
      throw new Error("Expected WrappedComponent to be a React component.");
    var l = [], s;
    function i() {
      s = t(l.map(function(u) {
        return u.props;
      })), c.canUseDOM ? e(s) : n && (s = n(s));
    }
    var c = /* @__PURE__ */ function(u) {
      lt(f, u);
      function f() {
        return u.apply(this, arguments) || this;
      }
      f.peek = function() {
        return s;
      }, f.rewind = function() {
        if (f.canUseDOM)
          throw new Error("You may only call rewind() on the server. Call peek() to read the current state.");
        var A = s;
        return s = void 0, l = [], A;
      };
      var h = f.prototype;
      return h.UNSAFE_componentWillMount = function() {
        l.push(this), i();
      }, h.componentDidUpdate = function() {
        i();
      }, h.componentWillUnmount = function() {
        var A = l.indexOf(this);
        l.splice(A, 1), i();
      }, h.render = function() {
        return ct.createElement(a, this.props);
      }, f;
    }(Ee.PureComponent);
    return le(c, "displayName", "SideEffect(" + r(a) + ")"), le(c, "canUseDOM", ut), c;
  };
}
var pt = dt;
const ft = /* @__PURE__ */ Te(pt);
var ht = Ie();
const mt = /* @__PURE__ */ Te(ht);
var R = {
  BODY: "bodyAttributes",
  HTML: "htmlAttributes",
  TITLE: "titleAttributes"
}, p = {
  BASE: "base",
  BODY: "body",
  HEAD: "head",
  HTML: "html",
  LINK: "link",
  META: "meta",
  NOSCRIPT: "noscript",
  SCRIPT: "script",
  STYLE: "style",
  TITLE: "title"
}, ue = Object.keys(p).map(function(t) {
  return p[t];
}), v = {
  CHARSET: "charset",
  CSS_TEXT: "cssText",
  HREF: "href",
  HTTPEQUIV: "http-equiv",
  INNER_HTML: "innerHTML",
  ITEM_PROP: "itemprop",
  NAME: "name",
  PROPERTY: "property",
  REL: "rel",
  SRC: "src",
  TARGET: "target"
}, V = {
  accesskey: "accessKey",
  charset: "charSet",
  class: "className",
  contenteditable: "contentEditable",
  contextmenu: "contextMenu",
  "http-equiv": "httpEquiv",
  itemprop: "itemProp",
  tabindex: "tabIndex"
}, F = {
  DEFAULT_TITLE: "defaultTitle",
  DEFER: "defer",
  ENCODE_SPECIAL_CHARACTERS: "encodeSpecialCharacters",
  ON_CHANGE_CLIENT_STATE: "onChangeClientState",
  TITLE_TEMPLATE: "titleTemplate"
}, gt = Object.keys(V).reduce(function(t, e) {
  return t[V[e]] = e, t;
}, {}), Tt = [p.NOSCRIPT, p.SCRIPT, p.STYLE], O = "data-react-helmet", yt = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(t) {
  return typeof t;
} : function(t) {
  return t && typeof Symbol == "function" && t.constructor === Symbol && t !== Symbol.prototype ? "symbol" : typeof t;
}, vt = function(t, e) {
  if (!(t instanceof e))
    throw new TypeError("Cannot call a class as a function");
}, Et = function() {
  function t(e, n) {
    for (var r = 0; r < n.length; r++) {
      var o = n[r];
      o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, o.key, o);
    }
  }
  return function(e, n, r) {
    return n && t(e.prototype, n), r && t(e, r), e;
  };
}(), w = Object.assign || function(t) {
  for (var e = 1; e < arguments.length; e++) {
    var n = arguments[e];
    for (var r in n)
      Object.prototype.hasOwnProperty.call(n, r) && (t[r] = n[r]);
  }
  return t;
}, bt = function(t, e) {
  if (typeof e != "function" && e !== null)
    throw new TypeError("Super expression must either be null or a function, not " + typeof e);
  t.prototype = Object.create(e && e.prototype, {
    constructor: {
      value: t,
      enumerable: !1,
      writable: !0,
      configurable: !0
    }
  }), e && (Object.setPrototypeOf ? Object.setPrototypeOf(t, e) : t.__proto__ = e);
}, de = function(t, e) {
  var n = {};
  for (var r in t)
    e.indexOf(r) >= 0 || Object.prototype.hasOwnProperty.call(t, r) && (n[r] = t[r]);
  return n;
}, At = function(t, e) {
  if (!t)
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  return e && (typeof e == "object" || typeof e == "function") ? e : t;
}, K = function(e) {
  var n = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : !0;
  return n === !1 ? String(e) : String(e).replace(/&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;").replace(/'/g, "&#x27;");
}, wt = function(e) {
  var n = M(e, p.TITLE), r = M(e, F.TITLE_TEMPLATE);
  if (r && n)
    return r.replace(/%s/g, function() {
      return Array.isArray(n) ? n.join("") : n;
    });
  var o = M(e, F.DEFAULT_TITLE);
  return n || o || void 0;
}, St = function(e) {
  return M(e, F.ON_CHANGE_CLIENT_STATE) || function() {
  };
}, X = function(e, n) {
  return n.filter(function(r) {
    return typeof r[e] < "u";
  }).map(function(r) {
    return r[e];
  }).reduce(function(r, o) {
    return w({}, r, o);
  }, {});
}, Ct = function(e, n) {
  return n.filter(function(r) {
    return typeof r[p.BASE] < "u";
  }).map(function(r) {
    return r[p.BASE];
  }).reverse().reduce(function(r, o) {
    if (!r.length)
      for (var a = Object.keys(o), l = 0; l < a.length; l++) {
        var s = a[l], i = s.toLowerCase();
        if (e.indexOf(i) !== -1 && o[i])
          return r.concat(o);
      }
    return r;
  }, []);
}, D = function(e, n, r) {
  var o = {};
  return r.filter(function(a) {
    return Array.isArray(a[e]) ? !0 : (typeof a[e] < "u" && Q("Helmet: " + e + ' should be of type "Array". Instead found type "' + yt(a[e]) + '"'), !1);
  }).map(function(a) {
    return a[e];
  }).reverse().reduce(function(a, l) {
    var s = {};
    l.filter(function(h) {
      for (var m = void 0, A = Object.keys(h), C = 0; C < A.length; C++) {
        var P = A[C], T = P.toLowerCase();
        n.indexOf(T) !== -1 && !(m === v.REL && h[m].toLowerCase() === "canonical") && !(T === v.REL && h[T].toLowerCase() === "stylesheet") && (m = T), n.indexOf(P) !== -1 && (P === v.INNER_HTML || P === v.CSS_TEXT || P === v.ITEM_PROP) && (m = P);
      }
      if (!m || !h[m])
        return !1;
      var x = h[m].toLowerCase();
      return o[m] || (o[m] = {}), s[m] || (s[m] = {}), o[m][x] ? !1 : (s[m][x] = !0, !0);
    }).reverse().forEach(function(h) {
      return a.push(h);
    });
    for (var i = Object.keys(s), c = 0; c < i.length; c++) {
      var u = i[c], f = mt({}, o[u], s[u]);
      o[u] = f;
    }
    return a;
  }, []).reverse();
}, M = function(e, n) {
  for (var r = e.length - 1; r >= 0; r--) {
    var o = e[r];
    if (o.hasOwnProperty(n))
      return o[n];
  }
  return null;
}, Pt = function(e) {
  return {
    baseTag: Ct([v.HREF, v.TARGET], e),
    bodyAttributes: X(R.BODY, e),
    defer: M(e, F.DEFER),
    encode: M(e, F.ENCODE_SPECIAL_CHARACTERS),
    htmlAttributes: X(R.HTML, e),
    linkTags: D(p.LINK, [v.REL, v.HREF], e),
    metaTags: D(p.META, [v.NAME, v.CHARSET, v.HTTPEQUIV, v.PROPERTY, v.ITEM_PROP], e),
    noscriptTags: D(p.NOSCRIPT, [v.INNER_HTML], e),
    onChangeClientState: St(e),
    scriptTags: D(p.SCRIPT, [v.SRC, v.INNER_HTML], e),
    styleTags: D(p.STYLE, [v.CSS_TEXT], e),
    title: wt(e),
    titleAttributes: X(R.TITLE, e)
  };
}, J = function() {
  var t = Date.now();
  return function(e) {
    var n = Date.now();
    n - t > 16 ? (t = n, e(n)) : setTimeout(function() {
      J(e);
    }, 0);
  };
}(), pe = function(e) {
  return clearTimeout(e);
}, Ot = typeof window < "u" ? window.requestAnimationFrame && window.requestAnimationFrame.bind(window) || window.webkitRequestAnimationFrame || window.mozRequestAnimationFrame || J : global.requestAnimationFrame || J, Lt = typeof window < "u" ? window.cancelAnimationFrame || window.webkitCancelAnimationFrame || window.mozCancelAnimationFrame || pe : global.cancelAnimationFrame || pe, Q = function(e) {
  return console && typeof console.warn == "function" && console.warn(e);
}, j = null, Ht = function(e) {
  j && Lt(j), e.defer ? j = Ot(function() {
    fe(e, function() {
      j = null;
    });
  }) : (fe(e), j = null);
}, fe = function(e, n) {
  var r = e.baseTag, o = e.bodyAttributes, a = e.htmlAttributes, l = e.linkTags, s = e.metaTags, i = e.noscriptTags, c = e.onChangeClientState, u = e.scriptTags, f = e.styleTags, h = e.title, m = e.titleAttributes;
  Z(p.BODY, o), Z(p.HTML, a), xt(h, m);
  var A = {
    baseTag: I(p.BASE, r),
    linkTags: I(p.LINK, l),
    metaTags: I(p.META, s),
    noscriptTags: I(p.NOSCRIPT, i),
    scriptTags: I(p.SCRIPT, u),
    styleTags: I(p.STYLE, f)
  }, C = {}, P = {};
  Object.keys(A).forEach(function(T) {
    var x = A[T], _ = x.newTags, q = x.oldTags;
    _.length && (C[T] = _), q.length && (P[T] = A[T].oldTags);
  }), n && n(), c(e, C, P);
}, be = function(e) {
  return Array.isArray(e) ? e.join("") : e;
}, xt = function(e, n) {
  typeof e < "u" && document.title !== e && (document.title = be(e)), Z(p.TITLE, n);
}, Z = function(e, n) {
  var r = document.getElementsByTagName(e)[0];
  if (r) {
    for (var o = r.getAttribute(O), a = o ? o.split(",") : [], l = [].concat(a), s = Object.keys(n), i = 0; i < s.length; i++) {
      var c = s[i], u = n[c] || "";
      r.getAttribute(c) !== u && r.setAttribute(c, u), a.indexOf(c) === -1 && a.push(c);
      var f = l.indexOf(c);
      f !== -1 && l.splice(f, 1);
    }
    for (var h = l.length - 1; h >= 0; h--)
      r.removeAttribute(l[h]);
    a.length === l.length ? r.removeAttribute(O) : r.getAttribute(O) !== s.join(",") && r.setAttribute(O, s.join(","));
  }
}, I = function(e, n) {
  var r = document.head || document.querySelector(p.HEAD), o = r.querySelectorAll(e + "[" + O + "]"), a = Array.prototype.slice.call(o), l = [], s = void 0;
  return n && n.length && n.forEach(function(i) {
    var c = document.createElement(e);
    for (var u in i)
      if (i.hasOwnProperty(u))
        if (u === v.INNER_HTML)
          c.innerHTML = i.innerHTML;
        else if (u === v.CSS_TEXT)
          c.styleSheet ? c.styleSheet.cssText = i.cssText : c.appendChild(document.createTextNode(i.cssText));
        else {
          var f = typeof i[u] > "u" ? "" : i[u];
          c.setAttribute(u, f);
        }
    c.setAttribute(O, "true"), a.some(function(h, m) {
      return s = m, c.isEqualNode(h);
    }) ? a.splice(s, 1) : l.push(c);
  }), a.forEach(function(i) {
    return i.parentNode.removeChild(i);
  }), l.forEach(function(i) {
    return r.appendChild(i);
  }), {
    oldTags: a,
    newTags: l
  };
}, Ae = function(e) {
  return Object.keys(e).reduce(function(n, r) {
    var o = typeof e[r] < "u" ? r + '="' + e[r] + '"' : "" + r;
    return n ? n + " " + o : o;
  }, "");
}, Rt = function(e, n, r, o) {
  var a = Ae(r), l = be(n);
  return a ? "<" + e + " " + O + '="true" ' + a + ">" + K(l, o) + "</" + e + ">" : "<" + e + " " + O + '="true">' + K(l, o) + "</" + e + ">";
}, kt = function(e, n, r) {
  return n.reduce(function(o, a) {
    var l = Object.keys(a).filter(function(c) {
      return !(c === v.INNER_HTML || c === v.CSS_TEXT);
    }).reduce(function(c, u) {
      var f = typeof a[u] > "u" ? u : u + '="' + K(a[u], r) + '"';
      return c ? c + " " + f : f;
    }, ""), s = a.innerHTML || a.cssText || "", i = Tt.indexOf(e) === -1;
    return o + "<" + e + " " + O + '="true" ' + l + (i ? "/>" : ">" + s + "</" + e + ">");
  }, "");
}, we = function(e) {
  var n = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
  return Object.keys(e).reduce(function(r, o) {
    return r[V[o] || o] = e[o], r;
  }, n);
}, It = function(e) {
  var n = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
  return Object.keys(e).reduce(function(r, o) {
    return r[gt[o] || o] = e[o], r;
  }, n);
}, Mt = function(e, n, r) {
  var o, a = (o = {
    key: n
  }, o[O] = !0, o), l = we(r, a);
  return [/* @__PURE__ */ d(p.TITLE, {
    ...l,
    children: n
  })];
}, _t = function(e, n) {
  return n.map(function(r, o) {
    var a, l = (a = {
      key: o
    }, a[O] = !0, a);
    return Object.keys(r).forEach(function(s) {
      var i = V[s] || s;
      if (i === v.INNER_HTML || i === v.CSS_TEXT) {
        var c = r.innerHTML || r.cssText;
        l.dangerouslySetInnerHTML = {
          __html: c
        };
      } else
        l[i] = r[s];
    }), $.createElement(e, l);
  });
}, L = function(e, n, r) {
  switch (e) {
    case p.TITLE:
      return {
        toComponent: function() {
          return Mt(e, n.title, n.titleAttributes);
        },
        toString: function() {
          return Rt(e, n.title, n.titleAttributes, r);
        }
      };
    case R.BODY:
    case R.HTML:
      return {
        toComponent: function() {
          return we(n);
        },
        toString: function() {
          return Ae(n);
        }
      };
    default:
      return {
        toComponent: function() {
          return _t(e, n);
        },
        toString: function() {
          return kt(e, n, r);
        }
      };
  }
}, Se = function(e) {
  var n = e.baseTag, r = e.bodyAttributes, o = e.encode, a = e.htmlAttributes, l = e.linkTags, s = e.metaTags, i = e.noscriptTags, c = e.scriptTags, u = e.styleTags, f = e.title, h = f === void 0 ? "" : f, m = e.titleAttributes;
  return {
    base: L(p.BASE, n, o),
    bodyAttributes: L(R.BODY, r, o),
    htmlAttributes: L(R.HTML, a, o),
    link: L(p.LINK, l, o),
    meta: L(p.META, s, o),
    noscript: L(p.NOSCRIPT, i, o),
    script: L(p.SCRIPT, c, o),
    style: L(p.STYLE, u, o),
    title: L(p.TITLE, {
      title: h,
      titleAttributes: m
    }, o)
  };
}, Nt = function(e) {
  var n, r;
  return r = n = function(o) {
    bt(a, o);
    function a() {
      return vt(this, a), At(this, o.apply(this, arguments));
    }
    return a.prototype.shouldComponentUpdate = function(s) {
      return !at(this.props, s);
    }, a.prototype.mapNestedChildrenToProps = function(s, i) {
      if (!i)
        return null;
      switch (s.type) {
        case p.SCRIPT:
        case p.NOSCRIPT:
          return {
            innerHTML: i
          };
        case p.STYLE:
          return {
            cssText: i
          };
      }
      throw new Error("<" + s.type + " /> elements are self-closing and can not contain children. Refer to our API for more information.");
    }, a.prototype.flattenArrayTypeChildren = function(s) {
      var i, c = s.child, u = s.arrayTypeChildren, f = s.newChildProps, h = s.nestedChildren;
      return w({}, u, (i = {}, i[c.type] = [].concat(u[c.type] || [], [w({}, f, this.mapNestedChildrenToProps(c, h))]), i));
    }, a.prototype.mapObjectTypeChildren = function(s) {
      var i, c, u = s.child, f = s.newProps, h = s.newChildProps, m = s.nestedChildren;
      switch (u.type) {
        case p.TITLE:
          return w({}, f, (i = {}, i[u.type] = m, i.titleAttributes = w({}, h), i));
        case p.BODY:
          return w({}, f, {
            bodyAttributes: w({}, h)
          });
        case p.HTML:
          return w({}, f, {
            htmlAttributes: w({}, h)
          });
      }
      return w({}, f, (c = {}, c[u.type] = w({}, h), c));
    }, a.prototype.mapArrayTypeChildrenToProps = function(s, i) {
      var c = w({}, i);
      return Object.keys(s).forEach(function(u) {
        var f;
        c = w({}, c, (f = {}, f[u] = s[u], f));
      }), c;
    }, a.prototype.warnOnInvalidChildren = function(s, i) {
      if (process.env.NODE_ENV !== "production") {
        if (!ue.some(function(c) {
          return s.type === c;
        }))
          return typeof s.type == "function" ? Q("You may be attempting to nest <Helmet> components within each other, which is not allowed. Refer to our API for more information.") : Q("Only elements types " + ue.join(", ") + " are allowed. Helmet does not support rendering <" + s.type + "> elements. Refer to our API for more information.");
        if (i && typeof i != "string" && (!Array.isArray(i) || i.some(function(c) {
          return typeof c != "string";
        })))
          throw new Error("Helmet expects a string as a child of <" + s.type + ">. Did you forget to wrap your children in braces? ( <" + s.type + ">{``}</" + s.type + "> ) Refer to our API for more information.");
      }
      return !0;
    }, a.prototype.mapChildrenToProps = function(s, i) {
      var c = this, u = {};
      return $.Children.forEach(s, function(f) {
        if (!(!f || !f.props)) {
          var h = f.props, m = h.children, A = de(h, ["children"]), C = It(A);
          switch (c.warnOnInvalidChildren(f, m), f.type) {
            case p.LINK:
            case p.META:
            case p.NOSCRIPT:
            case p.SCRIPT:
            case p.STYLE:
              u = c.flattenArrayTypeChildren({
                child: f,
                arrayTypeChildren: u,
                newChildProps: C,
                nestedChildren: m
              });
              break;
            default:
              i = c.mapObjectTypeChildren({
                child: f,
                newProps: i,
                newChildProps: C,
                nestedChildren: m
              });
              break;
          }
        }
      }), i = this.mapArrayTypeChildrenToProps(u, i), i;
    }, a.prototype.render = function() {
      var s = this.props, i = s.children, c = de(s, ["children"]), u = w({}, c);
      return i && (u = this.mapChildrenToProps(i, u)), /* @__PURE__ */ d(e, {
        ...u
      });
    }, Et(a, null, [{
      key: "canUseDOM",
      // Component.peek comes from react-side-effect:
      // For testing, you may use a static peek() method available on the returned component.
      // It lets you get the current state without resetting the mounted instance stack.
      // Don’t use it for anything other than testing.
      /**
       * @param {Object} base: {"target": "_blank", "href": "http://mysite.com/"}
       * @param {Object} bodyAttributes: {"className": "root"}
       * @param {String} defaultTitle: "Default Title"
       * @param {Boolean} defer: true
       * @param {Boolean} encodeSpecialCharacters: true
       * @param {Object} htmlAttributes: {"lang": "en", "amp": undefined}
       * @param {Array} link: [{"rel": "canonical", "href": "http://mysite.com/example"}]
       * @param {Array} meta: [{"name": "description", "content": "Test description"}]
       * @param {Array} noscript: [{"innerHTML": "<img src='http://mysite.com/js/test.js'"}]
       * @param {Function} onChangeClientState: "(newState) => console.log(newState)"
       * @param {Array} script: [{"type": "text/javascript", "src": "http://mysite.com/js/test.js"}]
       * @param {Array} style: [{"type": "text/css", "cssText": "div { display: block; color: blue; }"}]
       * @param {String} title: "Title"
       * @param {Object} titleAttributes: {"itemprop": "name"}
       * @param {String} titleTemplate: "MySite.com - %s"
       */
      set: function(s) {
        e.canUseDOM = s;
      }
    }]), a;
  }($.Component), n.propTypes = {
    base: y.object,
    bodyAttributes: y.object,
    children: y.oneOfType([y.arrayOf(y.node), y.node]),
    defaultTitle: y.string,
    defer: y.bool,
    encodeSpecialCharacters: y.bool,
    htmlAttributes: y.object,
    link: y.arrayOf(y.object),
    meta: y.arrayOf(y.object),
    noscript: y.arrayOf(y.object),
    onChangeClientState: y.func,
    script: y.arrayOf(y.object),
    style: y.arrayOf(y.object),
    title: y.string,
    titleAttributes: y.object,
    titleTemplate: y.string
  }, n.defaultProps = {
    defer: !0,
    encodeSpecialCharacters: !0
  }, n.peek = e.peek, n.rewind = function() {
    var o = e.rewind();
    return o || (o = Se({
      baseTag: [],
      bodyAttributes: {},
      encodeSpecialCharacters: !0,
      htmlAttributes: {},
      linkTags: [],
      metaTags: [],
      noscriptTags: [],
      scriptTags: [],
      styleTags: [],
      title: "",
      titleAttributes: {}
    })), o;
  }, r;
}, Dt = function() {
  return null;
}, jt = ft(Pt, Ht, Se)(Dt), Y = Nt(jt);
Y.renderStatic = Y.rewind;
const Ft = (t) => ({
  type: Me.SET_EDITOR_EXTERNAL_STATE,
  payload: t
}), Ut = b(() => import("./261b563c.js").then((t) => ({
  default: t.LeftContent
}))), Bt = b(() => import("./b4948836.js").then((t) => ({
  default: t.LeftLayersContent
}))), $t = b(() => import("./684d2f28.js").then((t) => t.zn)), Vt = b(() => import("./4a3a9631.js")), Yt = b(() => import("./b1431d10.js")), he = b(() => import("./b2d185cc.js").then((t) => ({
  default: t.CustomShortcutWrapper
}))), qt = b(() => import("./b2d185cc.js").then((t) => ({
  default: t.EditorGlobalHotKeys
}))), Gt = b(() => import("./b2d185cc.js").then((t) => ({
  default: t.EditorHotKeys
}))), zt = b(() => import("./684d2f28.js").then((t) => t.wH).then((t) => ({
  default: t.Body
}))), Wt = b(() => import("./684d2f28.js").then((t) => t.wH).then((t) => ({
  default: t.EditorContainer
}))), me = b(() => import("./684d2f28.js").then((t) => t.wH).then((t) => ({
  default: t.EditorContainerWithViewMode
}))), Xt = b(() => import("./684d2f28.js").then((t) => t.wH).then((t) => ({
  default: t.Height100Div
}))), Kt = b(() => import("./684d2f28.js").then((t) => t.wH).then((t) => ({
  default: t.LeftPanel
}))), Jt = b(() => import("./684d2f28.js").then((t) => t.wH).then((t) => ({
  default: t.MiddlePanel
}))), Qt = b(() => import("./1d526383.js").then((t) => ({
  default: t.HelpDropdown
}))), Zt = b(() => import("./63c8add1.js").then((t) => ({
  default: t.PreviewHeader
}))), en = H.div`
  pointer-events: none;
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  contain: paint;
  z-index: ${B.hooksCompContainer};
`, ge = H.div`
  height: ${(t) => `calc(${t.$height ? t.$height + "px" : "100vh"} - env(safe-area-inset-bottom) -
      ${t.$hideBodyHeader ? "0px" : _e}
  )`};
`, tn = H.div`
  .ant-menu {
    background-color: #393b47;
    height: calc(100vh - 48px);

    .ant-menu-item {
      padding: 0 7px !important;
      width: 40px;
      height: 26px;
      margin: 12px 0 0 0;

      svg {
        height: 26px;
        width: 26px;
        padding: 5px;
      }

      &.ant-menu-item-selected,
      &:hover,
      &:active {
        background-color: #393b47;

        svg {
          background: #8b8fa37f;
          border-radius: 4px;
        }
      }
    }
  }

  z-index: ${B.leftToolbar};
`, nn = H.div`
  > div {
    left: 6px;
    right: auto;
    height: 28px;
    bottom: 36px;

    > div.shortcutList {
      left: 42px;
      bottom: 2px;
    }
  }
`;
H.div`
  > div {
    left: 6px;
    right: auto;
    height: 28px;
    top: 15px;
  }
`;
const rn = H.div`
  display: flex;
  flex-direction: column;
  height: 100%;

  .ant-divider {
    margin: 16px 0;
    border-color: #e1e3eb;
  }
`, on = H.div`
  font-weight: 500;
  font-size: 14px;
  color: #8b8fa3;
  line-height: 14px;
  margin: 16px;
`, an = H.div`
  margin: 16px 8px;
  height: 33px;
  display: flex;
  align-items: center;
  padding: 0 8px 0 7px;
  color: #333;
  cursor: pointer;

  svg {
    margin-right: 8px;

    path {
      fill: #222222;
    }
  }

  &:hover,
  &:active {
    background: #f2f7fc;
    border-radius: 4px;

    svg path {
      fill: #315efb;
    }
  }
`, sn = H.div`
  overflow: auto;
  position: relative;
  flex: 1 1 0;
`, cn = [{
  key: "state",
  icon: /* @__PURE__ */ d(ye, {})
}, {
  key: "setting",
  icon: /* @__PURE__ */ d(ve, {})
}, {
  key: "layout",
  icon: /* @__PURE__ */ d(nt, {})
}], ln = [{
  key: "state",
  icon: /* @__PURE__ */ d(ye, {})
}, {
  key: "setting",
  icon: /* @__PURE__ */ d(ve, {})
}];
function hn(t) {
  const {
    uiComp: e
  } = t, n = ce(Ne), {
    readOnly: r,
    hideHeader: o
  } = ce(De), a = ne(je), l = Fe().state, s = l == null ? void 0 : l.showNewUserGuide, i = ne(Ue), [c, u] = k(!1), f = N(() => u(!c), [c]), [h, m] = k(
    "state"
    /* State */
  ), [A, C] = k(), P = Be(), [T, x] = k(() => s ? re : $e()), [_, q] = k(re), ee = N((g) => {
    let S;
    g ? (S = Object.assign({}, T), S[g] = !T[g]) : Object.values(T).some((ke) => ke) ? (q(T), S = {
      left: !1,
      bottom: !1,
      right: !1
    }) : S = _, x(S), oe(S);
  }, [T, _]), [U, Ce] = k(() => Ve()), Pe = N((g) => {
    Ce(g || "both"), Ye(g || "both");
  }, [U]), Oe = N((g) => {
    n.setDraggingCompType(g);
  }, [n]), Le = N((g) => {
    n.setShowPropertyPane(g === "property");
  }, [n]), G = rt(() => Object.keys(n.getHooksComp().children).map((g) => (
    // use appId as key, remount hook comp when app change. fix hookStateComp empty value
    /* @__PURE__ */ d("div", {
      children: n.getHooksComp().children[g].getView()
    }, g + "-" + (a == null ? void 0 : a.applicationId))
  )), [n]);
  ot(() => {
    function g() {
      C(window.innerHeight);
    }
    const S = "orientationchange" in window ? "orientationchange" : "resize";
    return window.addEventListener(S, g), g(), () => window.removeEventListener(S, g);
  }, []);
  const z = qe(), te = window.location.hostname === "app.lowcoder.cloud";
  if (r && o)
    return /* @__PURE__ */ E(he, {
      children: [e.getView(), /* @__PURE__ */ d("div", {
        style: {
          zIndex: B.hooksCompContainer
        },
        children: G
      })]
    });
  if (r && !i)
    return /* @__PURE__ */ E(he, {
      children: [/* @__PURE__ */ E(Y, {
        children: [a && /* @__PURE__ */ d("title", {
          children: a.name
        }), te && [
          // Adding Support for iframely to be able to embedd the component explorer in the docu
          /* @__PURE__ */ d("meta", {
            property: "iframely:title",
            content: "Lowcoder"
          }, "iframely:title"),
          /* @__PURE__ */ d("meta", {
            property: "iframely:description",
            content: "Lowcoder | rapid App & VideoMeeting builder for everyone."
          }, "iframely:description"),
          /* @__PURE__ */ d("link", {
            rel: "preconnect",
            href: "https://fonts.googleapis.com"
          }, "preconnect-googleapis"),
          /* @__PURE__ */ d("link", {
            rel: "preconnect",
            href: "https://fonts.gstatic.com",
            crossOrigin: "anonymous"
          }, "preconnect-gstatic"),
          /* @__PURE__ */ d("link", {
            href: "https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,700;1,400&display=swap",
            rel: "stylesheet"
          }, "font-ubuntu"),
          // adding Clearbit Support for Analytics
          /* @__PURE__ */ d("script", {
            src: "https://tag.clearbitscripts.com/v1/pk_931b51e405557300e6a7c470e8247d5f/tags.js",
            referrerPolicy: "strict-origin-when-cross-origin",
            type: "text/javascript"
          }, "clearbit-script")
        ]]
      }), /* @__PURE__ */ E(it, {
        fallback: /* @__PURE__ */ d(Ge, {}),
        children: [!z && /* @__PURE__ */ d(Zt, {}), /* @__PURE__ */ E(me, {
          children: [/* @__PURE__ */ d(ge, {
            $hideBodyHeader: z,
            $height: A,
            children: e.getView()
          }), /* @__PURE__ */ d("div", {
            style: {
              zIndex: B.hooksCompContainer
            },
            children: G
          })]
        })]
      })]
    });
  const He = T.right || i;
  let W;
  i ? W = /* @__PURE__ */ d(ge, {
    $hideBodyHeader: z,
    $height: A,
    children: /* @__PURE__ */ d(Wt, {
      children: e.getView()
    })
  }) : W = e.getView();
  const xe = (g) => {
    let S = !0;
    T.left && g.key === h && (S = !1), x({
      ...T,
      left: S
    }), oe({
      ...T,
      left: S
    }), m(g.key);
  }, Re = n.getAppSettingsComp();
  return /* @__PURE__ */ E(Xt, {
    onDragEnd: (g) => {
      n.setDragging(!1), ze.clearData();
    },
    children: [/* @__PURE__ */ d(We, {
      togglePanel: ee,
      panelStatus: T,
      toggleEditorModeStatus: Pe,
      editorModeStatus: U
    }), /* @__PURE__ */ E(Y, {
      children: [a && /* @__PURE__ */ d("title", {
        children: a.name
      }), te && [
        // Adding Support for iframely to be able to embedd the component explorer in the docu
        /* @__PURE__ */ d("meta", {
          property: "iframely:title",
          content: "Lowcoder"
        }, "iframely:title"),
        /* @__PURE__ */ d("meta", {
          property: "iframely:description",
          content: "Lowcoder | rapid App & VideoMeeting builder for everyone."
        }, "iframely:description"),
        /* @__PURE__ */ d("link", {
          rel: "preconnect",
          href: "https://fonts.googleapis.com"
        }, "preconnect-googleapis"),
        /* @__PURE__ */ d("link", {
          rel: "preconnect",
          href: "https://fonts.gstatic.com",
          crossOrigin: "anonymous"
        }, "preconnect-gstatic"),
        /* @__PURE__ */ d("link", {
          href: "https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,700;1,400&display=swap",
          rel: "stylesheet"
        }, "font-ubuntu"),
        // adding Clearbit Support for Analytics
        /* @__PURE__ */ d("script", {
          src: "https://tag.clearbitscripts.com/v1/pk_931b51e405557300e6a7c470e8247d5f/tags.js",
          referrerPolicy: "strict-origin-when-cross-origin",
          type: "text/javascript"
        }, "clearbit-script")
      ]]
    }), s && /* @__PURE__ */ d(Vt, {}), /* @__PURE__ */ d(qt, {
      disabled: r,
      togglePanel: ee,
      panelStatus: T,
      toggleShortcutList: f,
      children: /* @__PURE__ */ E(zt, {
        children: [/* @__PURE__ */ d(tn, {
          children: /* @__PURE__ */ E(Xe, {
            width: 40,
            children: [/* @__PURE__ */ d(Ke, {
              theme: "dark",
              mode: "inline",
              defaultSelectedKeys: [
                "state"
                /* State */
              ],
              selectedKeys: T.left ? [h] : [""],
              items: a && !ie(ae[a.applicationType]) ? cn : ln,
              disabled: i,
              onClick: (g) => xe(g)
            }), !i && /* @__PURE__ */ d(nn, {
              children: /* @__PURE__ */ d(Qt, {
                showShortcutList: c,
                setShowShortcutList: u,
                isEdit: !0
              })
            })]
          })
        }), T.left && U !== "layout" && /* @__PURE__ */ E(Kt, {
          children: [h === "state" && /* @__PURE__ */ d(Ut, {
            uiComp: e
          }), h === "setting" && /* @__PURE__ */ E(rn, {
            children: [/* @__PURE__ */ E(Je, {
              children: [a && !ie(ae[a.applicationType]) && /* @__PURE__ */ E(Qe, {
                children: [Re.getPropertyView(), /* @__PURE__ */ d(Ze, {})]
              }), /* @__PURE__ */ d(on, {
                children: se("leftPanel.toolbarTitle")
              }), t.preloadComp.getPropertyView(), /* @__PURE__ */ E(an, {
                onClick: () => P(Ft({
                  showScriptsAndStyleModal: !0
                })),
                children: [/* @__PURE__ */ d(et, {}), se("leftPanel.toolbarPreload")]
              })]
            }), t.preloadComp.getJSLibraryPropertyView()]
          }), h === "layout" && /* @__PURE__ */ d(Bt, {
            uiComp: e
          })]
        }), /* @__PURE__ */ E(Jt, {
          children: [/* @__PURE__ */ d(sn, {
            className: tt,
            children: /* @__PURE__ */ d(Gt, {
              disabled: r,
              children: /* @__PURE__ */ E(me, {
                children: [W, /* @__PURE__ */ d(en, {
                  children: G
                })]
              })
            })
          }), T.bottom && U !== "layout" && /* @__PURE__ */ d(Yt, {})]
        }), He && /* @__PURE__ */ d($t, {
          uiComp: e,
          onCompDrag: Oe,
          showPropertyPane: n.showPropertyPane,
          onTabChange: Le
        })]
      })
    })]
  });
}
export {
  sn as EditorWrapper,
  hn as default
};
